Home / SIP core: messages, transactions, dialogs / Methods and status codes
Methods and status codes
The core methods are INVITE, ACK, OPTIONS, BYE, CANCEL, and REGISTER, and status codes fall into six classes.
Learn in 5 minutes
- Place a code in the 1xx through 6xx classes
- Match ACK and CANCEL to the INVITE they belong to
- Separate 401 from 407
Visual
The reason phrase is a hint. The code is the rule.
Worked example
Class the code Dissect the final response in this lab message, which is the 486.
- Dissect the 486.
- Read the CSeq.
- Note that a 4xx is final.
Fault
The caller hears ringing and the trace shows BYE with no To tag, then 481.
There is no confirmed dialog to end. The INVITE is still outstanding, so CANCEL matches that transaction.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
Quality management and recording QM scores interactions. The standardized way an SBC forks a session to a recorder is SIPREC.
Sources and go deeper
- RFC 3261 — last checked 2026-10
- RFC 3261 §11 — last checked 2026-10
- RFC 3262 — last checked 2026-10
- RFC 3311 — last checked 2026-10
- RFC 3515 — last checked 2026-10
- RFC 3261 §21 — last checked 2026-10
- RFC 3261 §22 — last checked 2026-10
- RFC 3261 §16 — last checked 2026-10